{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Enable a custom deployment protection rule for an environment.\n\nThe authenticated user must have admin or owner permissions to the repository to use this endpoint.\n\nFor more information about the app that is providing this custom deployment rule, see the [documentation for the `GET /apps/{app_slug}` endpoint](https://docs.github.com/rest/apps/apps#get-an-app), as well as the [guide to creating custom deployment protection rules](https://docs.github.com/actions/managing-workflow-runs-and-deployments/managing-deployments/creating-custom-deployment-protection-rules).\n\nOAuth app tokens and personal access tokens (classic) need the `repo` scope to use this endpoint.","properties":{"path":{"type":"object","properties":{"environment_name":{"type":"string","description":"The name of the environment. The name must be URL encoded. For example, any slashes in the name must be replaced with `%2F`."},"repo":{"type":"string","description":"The name of the repository without the `.git` extension. The name is not case sensitive."},"owner":{"type":"string","description":"The account owner of the repository. The name is not case sensitive."}},"required":["environment_name","repo","owner"],"additionalProperties":false},"body":{"type":"object","properties":{"integration_id":{"type":"integer","description":"The ID of the custom app that will be enabled on the environment."}},"examples":[{"integration_id":5}]}},"required":["path","body"],"additionalProperties":false},"name":"Create a custom deployment protection rule on an environment","id":"github.repos.create-deployment-protection-rule","example":{"path":{"environment_name":"example","repo":"hello-world","owner":"octocat"},"body":{"integration_id":5}},"maxRequests":1,"summary":false}}